// Persistence of Vision Ray Tracer Scene			
// Pov-Ray for windows version 3.1g
// Fichier        :    	 by  Martial Rameaux
// Date           :
// Description:                     
// Web  ->http://martial.rameaux.free.fr/
// Web  ->http://multimania.com/martialrameaux
// mile ;-) -> martialrameaux@multiamania.com
//==========================================

//===========TEXTURES=======================
#declare T_Dents=texture {
                        pigment { rgb 1} 
                        normal {bumps 0.9 scale 0.3}
                        finish { ambient 0.3 diffuse 0.4 specular 1 roughness 0.8}
}    

#declare T_Tige=
        texture {pigment { rgb <0.9,0.9,1.0>} 
                 finish{ ambient 0.2 diffuse 0.6 phong 1 reflection 0.2}
                 }

#declare T_RondelBois=texture {
    pigment {
        wood turbulence 0.0425
        scale 0.2
        color_map {
            [0.05 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.15 color rgbf <0.32549, 0.13725, 0.00000, 0.0>]
            [0.25 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.35 color rgbf <0.32549, 0.11765, 0.00000, 0.0>]
            [0.48 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.55 color rgbf <0.29412, 0.13725, 0.01176, 0.0>]
            [0.65 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.78 color rgbf <0.32549, 0.13725, 0.00000, 0.0>]
            [0.85 color rgbf <0.55294, 0.21176, 0.00000, 0.0>]
            [0.96 color rgbf <0.28627, 0.13725, 0.00000, 0.0>]
            [1.00 color rgbf <0.54510, 0.17647, 0.03529, 0.0>]
        }
        translate <.015, 0, 0>
    }
}
texture  {
    pigment {
        onion
        turbulence 0.2125
        colour_map {
            [0.225 colour rgbf <1.000000, 0.53333, 0.11767, 0.4875>]
            [0.350 colour rgbf <0.662750, 0.28617, 0.00001, 0.7250>]
            [0.500 colour rgbf <1.000100, 0.53333, 0.11765, 0.5745>]
            [0.625 colour rgbf <0.662775, 0.28627, 0.00005, 0.6875>]
            [0.750 colour rgbf <1.000200, 0.53333, 0.11755, 0.5275>]
            [0.875 colour rgbf <0.662755, 0.28629, 0.00001, 0.3795>]
            [1.000 colour rgbf <1.000000, 0.53333, 0.11665, 0.6165>]
        }
        scale <0.225, 0.20, 1.15>
    }
}
      
//===========DENTIER=========
#declare Dent0=
union {
        cone { <-0.5,1,0.50>0.6<-0.5,0.0,0.5>0.55 texture { T_Dents} scale  <1,1,0.4> rotate y*60 translate <-1.8,0,0.5> }//
cone { <-0.5,1,0>0.4<-0.5,0,0>0.15        texture { T_Dents} scale  <1,1,0.4> rotate y*20 translate <-1.2,0,0.3>}//canine
cone { <-0.5,1,0>0.5<-0.5,0.05,0>0.35     texture { T_Dents} scale  <1,1,0.4> rotate y*15 translate <-0.5,0,0.0>}
cone { <-0.5,1,0>0.5<-0.45,0.0,0>0.40     texture { T_Dents} scale  <1,1,0.4> }
cone { < 0.5,1,0>0.5< 0.45,0.0,0>0.40     texture { T_Dents} scale  <1,1,0.4>  }
cone { < 0.5,1,0>0.5< 0.5,0,0>0.35        texture { T_Dents} scale  <1,1,0.4> rotate y*-15 translate <0.5,0,0.0>}
cone { < 0.5,1,0>0.4< 0.5,0.05,0>0.15     texture { T_Dents} scale  <1,1,0.4> rotate y*-20 translate <1.2,0,0.3>} //canine
cone { < 0.5,1,0>0.6< 0.5,0.0,0>0.55      texture { T_Dents} scale  <1,1,0.4> rotate y*-60 translate <1.8,0,0.5> }//
}

#declare Gencive=
        difference {
                union {
torus { 3,0.2 scale <1,1.5,1> translate <0,1.5,0>}
cylinder { <0,-1.5,0><0,1.5,0>3.0 }        
}
cylinder { <0,-2.0,0><0,1.8,0>2.0 }   
cylinder { <0,-0.5,0><0,0.5,0>4.0 }       
cylinder { <0,-2.0,0><0,1.9,0>2.0 translate z*2.5 }  
pigment { rgb <1,0.8,0.8>}      
 scale <1,1,1.2> translate z*3.6
        }

#declare Dts=
union {              
object {Gencive }       
object { Dent0}
} 


#declare Dentier=
union {
   object { Dts }
   object { Dts translate y*0.2 rotate <-180,180,0>}
}

#declare Porte_Dentier=
union {
        object {Dentier rotate x*20 translate y*1.5}
   union {
       cylinder {<0,-5,0><0,2,0>0.2   texture {T_Tige}}
       cylinder {<0,-5,0><0,-5.5,0>,3 texture {T_RondelBois}}
   translate z*3
   }
   scale 0.3
translate y*5   
}



//=======TRAVAIL=============================
/*
#declare Zoom=1.5;
#declare Distance =20;
#declare Azimut = 50; 	// angle de dplacement                       
#declare Elevation =47; // angle en degrs au-dessus (positif) ou en-dessous (ngatif) du plan XZ ; 
                        // cet angle se limite  : 90 > Elevation > -90. C'est absolument ncessaire.
#declare Right=4/3*x;   // pour changer le rapport x/y ;                        
#declare CentreD_Interet = <0,0, 0>;
//------------------------------------
#include "camera.inc" 
Camera (Distance, Azimut, Elevation, CentreD_Interet)
//====================================
// create a regular point light source
light_source
{
  0*x // light's position (translated below)
  color rgb 1  // light's color
  translate <-0, 10, -20>
}

object {Porte_Dentier rotate y*-45}
*/
//===============================