// Persistence of Vision Ray Tracer Scene			
// Pov-Ray for windows version 3.1g
// Fichier        :  Grnouil.inc by  Martial Rameaux
// Date           :  
// Description    : Blob                     
// Web  ->http://martial.rameaux.free.fr/
// Web  ->http://multimania.com/martialrameaux
// mile ;-) -> martialrameaux@multiamania.com
//==========================================

//=======TEXTURE===========================
#declare T_grnouil =
   texture  //T_grnouil 
   {
      pigment
      {
         spotted
                color_map
         {
                [0.0 color rgb <0.341,0.592,0.361>/2]
                [0.5 color rgb <0.008,0.475,0.122>/2]
                [1.0 color rgb <0.204,0.871,0.098>/2]
         }

         scale  0.3
        }

      finish
      {
         ambient 0.2
         phong_size 39.4
         specular 1.0
         roughness 0.0001
         reflection 0.15
      }

   }


#declare T_lips =
   texture  // T_lips
   {
      pigment
      {
         //color rgb <0.1, 0.85, 0.4>
            
           color rgb <0.051,0.224,0.024>
      }
      finish
      {
         ambient 0.1
         diffuse 0.65
         brilliance 1.5
         specular 0.85
         roughness 0.01
         reflection 0.45
      }
   }
// YEUX BLEUE
#declare T_yeuxbleu =

   texture  // T_yeuxbleu
   {
      pigment
      {
       wood
         color_map
         {
            [ 0.0       rgbft <1.0, 1.0, 0.0, 0.6, 0.0> ]
            [ 0.252669  rgbft <0.0, 0.0, 0.8, 0.7, 0.0> ]
            [ 0.505338  rgbft <0.0, 0.0, 0.8, 0.7, 0.0> ]
            [ 0.752669  rgbft <0.0, 0.0, 0.8, 0.7, 0.0> ]
            [ 1.0       rgbft <1.0, 1.0, 0.0, 0.6, 0.0> ]
         }
      }


      finish
      {
         ambient 0.2
         phong 0.47
         phong_size 90.0
      }
   }



//========GRENOUILLE===================
#declare Grenouille=
union {
//TTE ET CORPS
blob {
     threshold 0.6
//TETE
sphere { <0.0,   0,0>,1.6,4  scale <1.5,1,1.5> }
//bouche
sphere { <0.5,   0,0>,1.5,2  scale <1.5,0.4,1.5> texture {T_lips }}
sphere { <0.5,-0.5,0>,1.5,2  scale <1.5,0.4,1.5> texture {T_lips }}
//YEUX
sphere { <0.9,0.8,-1.0>,1,0.8  texture {T_yeuxbleu  } }
sphere { <0.9,0.9, 1.0>,1,0.8  texture {T_yeuxbleu  } }
//CORPS
sphere {<-1.8,-1.1,0>,3 ,3 scale <1.5,0.9,0.5> rotate z*20}
sphere {<-1.8,-1.8,0>,3 ,3 scale <1.5,0.9,1> rotate z*20}

//PATTES AVANT
cylinder { <-1,0.8,-0>,<0,-3,-3>, 0.7, 0.95}
cylinder { <0,-3,-3>,<0.5,-5,-1>, 0.7, 0.95}

cylinder { <-1,0.8,0>,<0,-3, 3>, 0.7, 0.95}
cylinder { <0,-3, 3>,<0.4,-5, 1>, 0.7, 0.95}

//MAIN
cylinder { <0.5,-5, -1.0>,<1.5,-5,-1.0>,0.45,0.8 }
cylinder { <1.5,-5, -1.0>,<2.2,-5,-1.0>,0.35,0.8 }
cylinder { <0.5,-5, -1.0>,<1.5,-5,-1.5>,0.45,0.8 }
cylinder { <1.5,-5, -1.5>,<2.2,-5,-1.5>,0.35,0.8 }
cylinder { <0.5,-5, -1.0>,<1.5,-5,-2.2>,0.45,0.8 }
cylinder { <1.5,-5, -2.2>,<2.2,-5,-2.8>,0.35,0.8 }
cylinder { <0.4,-5,  1.0>,<1.4,-5, 1.0>,0.45,0.8 }
cylinder { <1.5,-5,  1.0>,<2.2,-5, 1.0>,0.35,0.8 }
cylinder { <0.4,-5,  1.0>,<1.4,-5, 1.5>,0.45,0.8 }
cylinder { <1.5,-5,  1.5>,<2.2,-5, 1.8>,0.35,0.8 }
cylinder { <0.4,-5,  1.0>,<1.4,-5, 2.2>,0.45,0.8 }
cylinder { <1.5,-5,  2.2>,<2.2,-5, 2.8>,0.35,0.8 }



//PATTES ARRIERE
cylinder { <-5,-4,-1>,<-2, 0,-3>, 0.9, 0.95}
cylinder { <-2, 0,-3>,<-2,-5,-3>, 0.7, 0.95}

cylinder { <-5,-4, 1>,<-2, 0, 3>, 0.9, 0.95}
cylinder { <-2, 0, 3>,<-2,-5, 3>, 0.7, 0.95}

//PIEDS
cylinder { < -2,-5, -3.0>,<1.0,-5,-4.0>,0.45,0.8 }
cylinder { <1.0,-5, -4.0>,<2.2,-5,-4.2>,0.35,0.8 }
cylinder { < -2,-5, -3.0>,<1.0,-5,-4.5>,0.45,0.8 }
cylinder { <1.0,-5, -4.5>,<2.2,-5,-4.7>,0.35,0.8 }
cylinder { < -2,-5, -3.0>,<1.0,-5,-5.0>,0.45,0.8 }
cylinder { <1.0,-5, -5.0>,<2.2,-5,-5.8>,0.35,0.8 }

cylinder { < -2,-5,  3.0>,<1.0,-5, 4.0>,0.45,0.8 }
cylinder { <1.0,-5,  4.0>,<2.2,-5, 4.2>,0.35,0.8 }
cylinder { < -2,-5,  3.0>,<1.0,-5, 4.5>,0.45,0.8 }
cylinder { <1.0,-5,  4.5>,<2.2,-5, 4.7>,0.35,0.8 }
cylinder { < -2,-5,  3.0>,<1.0,-5, 5.0>,0.45,0.8 }
cylinder { <1.0,-5,  5.0>,<2.2,-5, 5.6>,0.35,0.8 }
 texture {T_grnouil }

rotate y*45
sturm
}
}
//=========================================